import { IEffectsAction } from 'redux-effects-promise';
import { IFluxNumberEntity } from '../definition';
/**
 * @action-builder
 * @stable [08.09.2020]
 */
export declare class TabPanelActionBuilder {
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildActiveValueActionType(section: string): string;
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildInactiveValueActionType(section: string): string;
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildDestroyActionType(section: string): string;
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildDestroyPlainAction(section: string): IEffectsAction;
    /**
     * @stable [08.09.2020]
     * @param section
     * @param payload
     */
    static buildActiveValuePlainAction(section: string, payload: IFluxNumberEntity): IEffectsAction;
    /**
     * @stable [08.09.2020]
     * @param section
     * @param payload
     */
    static buildInactiveValuePlainAction(section: string, payload: IFluxNumberEntity): IEffectsAction;
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildDestroyAction(section: string): IEffectsAction;
}
