import { IAsyncLibConfigEntity, IBootstrapper } from '../../definition';
export declare class ReactBootstrapper implements IBootstrapper {
    private readonly domAccessor;
    private readonly webBootstrapper;
    /**
     * @stable [17.06.2020]
     * @param {IAsyncLibConfigEntity} cfg
     * @returns {IBootstrapper}
     */
    registerAsyncLibrary(cfg: IAsyncLibConfigEntity): IBootstrapper;
    /**
     * @stable [17.06.2020]
     * @param {() => void} callback
     */
    init(callback?: (() => void)): void;
}
