import { IActivateDialogConfigEntity, IUnsavedFormChangesDialogProps } from '../../../definition';
import { BaseDialog } from '../base-dialog.component';
/**
 * @component-impl
 * @stable [01.08.2020]
 *
 * Please use the "Mappers.unsavedFormChangesDialogProps"
 */
export declare class UnsavedFormChangesDialog extends BaseDialog<IUnsavedFormChangesDialogProps> {
    static readonly defaultProps: IUnsavedFormChangesDialogProps & Partial<import("../../../definition").IGenericComponentProps<any>>;
    /**
     * @stable [10.10.2020]
     * @param payload
     */
    activate(payload?: IActivateDialogConfigEntity): void;
    /**
     * @stable [10.10.2020]
     */
    protected get acceptText(): string;
    /**
     * @stable [10.10.2020]
     */
    protected get title(): string | boolean;
}
