/// <reference types="react" />
import { BaseCheckbox } from './base-checkbox.component';
import { ICheckboxProps } from './checkbox.interface';
export declare class Checkbox extends BaseCheckbox<ICheckboxProps> {
    static readonly defaultProps: ICheckboxProps & Partial<import("../../../definition").IGenericComponentProps<any>>;
    /**
     * @stable [09.06.2020]
     * @returns {JSX.Element}
     */
    protected get inputAttachmentElement(): JSX.Element;
    /**
     * @stable [09.06.2020]
     * @returns {string}
     */
    protected getFieldClassName(): string;
}
