"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.LayoutBuilder = void 0;
var layout_view_builder_1 = require("./layout-view.builder");
var universal_layout_builder_1 = require("./universal-layout.builder");
var LayoutBuilder = /** @class */ (function (_super) {
    __extends(LayoutBuilder, _super);
    /**
     * @stable [23.01.2020]
     * @param {ILayoutViewBuilder} layoutViewBuilder
     */
    function LayoutBuilder(layoutViewBuilder) {
        if (layoutViewBuilder === void 0) { layoutViewBuilder = new layout_view_builder_1.LayoutViewBuilder(); }
        return _super.call(this, layoutViewBuilder) || this;
    }
    /**
     * @stable [23.01.2020]
     * @param {LayoutBuilderChildrenT} item
     * @returns {StringNumberT}
     */
    LayoutBuilder.prototype.asClonedItemKey = function (item) {
        var element = item;
        return element.props.key || _super.prototype.asClonedItemKey.call(this, item);
    };
    return LayoutBuilder;
}(universal_layout_builder_1.UniversalLayoutBuilder));
exports.LayoutBuilder = LayoutBuilder;
//# sourceMappingURL=layout.builder.js.map