"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormTabPanelContainer = void 0;
var tab_panel_container_1 = require("../tab-panel.container");
var util_1 = require("../../../util");
/**
 * @component-container-impl
 * @stable [30.07.2020]
 *
 * Please use the "Mappers.formTabPanelContainerProps"
 */
var FormTabPanelContainer = /** @class */ (function (_super) {
    __extends(FormTabPanelContainer, _super);
    function FormTabPanelContainer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [12.04.2020]
     * @param {number} value
     */
    FormTabPanelContainer.prototype.dispatchActiveValue = function (value) {
        this.formStoreProxy.dispatchFormActiveValue(value);
    };
    /**
     * @stable [12.04.2020]
     * @param {number} value
     */
    FormTabPanelContainer.prototype.dispatchInactiveValue = function (value) {
        this.formStoreProxy.dispatchFormInactiveValue(value);
    };
    Object.defineProperty(FormTabPanelContainer.prototype, "tabPanelProps", {
        /**
         * @stable [30.07.2020]
         */
        get: function () {
            return util_1.Mappers.formTabPanelContainerPropsAsTabPanelProps(this.originalProps);
        },
        enumerable: false,
        configurable: true
    });
    return FormTabPanelContainer;
}(tab_panel_container_1.TabPanelContainer));
exports.FormTabPanelContainer = FormTabPanelContainer;
//# sourceMappingURL=form-tab-panel.container.js.map