/// <reference types="react" />
import { GenericComponent } from '../base/generic.component';
import { IWebCameraProps } from '../../definition';
export declare class WebCamera extends GenericComponent<IWebCameraProps> {
    static readonly defaultProps: IWebCameraProps;
    private $isMounted;
    private $isCameraLive;
    private static readonly CAMERA_ID;
    /**
     * @stable [02.11.2020]
     * @param originalProps
     */
    constructor(originalProps: IWebCameraProps);
    /**
     * @stable [02.11.2020]
     */
    componentDidMount(): void;
    /**
     * @stable [02.11.2020]
     */
    componentWillUnmount(): void;
    /**
     * @stable [02.08.2018]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [02.11.2020]
     */
    capture(): void;
    /**
     * @stable [02.11.2020]
     * @param dataUri
     * @private
     */
    private onCapture;
    /**
     * @stable [02.11.2020]
     * @private
     */
    private reset;
    /**
     * @stable [03.11.2020]
     * @private
     */
    private onLive;
}
