"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EventsEnum = exports.TouchEventsEnum = void 0;
/**
 * @stable [31.08.2019]
 */
var TouchEventsEnum;
(function (TouchEventsEnum) {
    TouchEventsEnum["TOUCH_START"] = "touchstart";
    TouchEventsEnum["TOUCH_END"] = "touchend";
    TouchEventsEnum["TOUCH_CANCEL"] = "touchcancel";
    TouchEventsEnum["TOUCH_MOVE"] = "touchmove";
})(TouchEventsEnum = exports.TouchEventsEnum || (exports.TouchEventsEnum = {}));
/**
 * @stable [11.09.2019]
 */
var EventsEnum;
(function (EventsEnum) {
    EventsEnum["CLICK"] = "click";
    EventsEnum["KEY_DOWN"] = "keydown";
    EventsEnum["KEY_PRESS"] = "keypress";
    EventsEnum["LOAD"] = "load";
    EventsEnum["MOUSE_DOWN"] = "mousedown";
    EventsEnum["MOUSE_ENTER"] = "mouseenter";
    EventsEnum["MOUSE_LEAVE"] = "mouseleave";
    EventsEnum["MOUSE_MOVE"] = "mousemove";
    EventsEnum["RESIZE"] = "resize";
    EventsEnum["SCROLL"] = "scroll";
    EventsEnum["UNLOAD"] = "unload";
    EventsEnum["WHEEL"] = "wheel";
})(EventsEnum = exports.EventsEnum || (exports.EventsEnum = {}));
//# sourceMappingURL=event-definition.interface.js.map