import { ILoginWrapper, IPasswordWrapper, IUrlWrapper, IUserWrapper } from '../definitions.interface';
import { INamedEntity } from './entity-definition.interface';
import { IEntityReducerFactoryConfigEntity } from './redux-definition.interface';
/**
 * @redux-entity
 * @stable [21.05.2020]
 */
export interface IReduxUserEntity extends INamedEntity, ILoginWrapper, IPasswordWrapper, IUrlWrapper {
}
/**
 * @redux-holder-entity
 * @stable [21.05.2020]
 */
export interface IReduxUserHolderEntity<TEntity = IReduxUserEntity> extends IUserWrapper<TEntity> {
}
/**
 * @stable [13.11.2019]
 */
export declare const $RAC_USER_DESTROY_ACTION_TYPE: string;
export declare const $RAC_USER_REPLACE_ACTION_TYPE: string;
export declare const $RAC_USER_UPDATE_ACTION_TYPE: string;
/**
 * @stable [13.11.2019]
 */
export declare const $RAC_USER_REDUCER_FACTORY_CONFIG_ENTITY: Readonly<IEntityReducerFactoryConfigEntity>;
