"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeChainedMiddleware = void 0;
var util_1 = require("../../util");
var action_1 = require("../../action");
/**
 * @stable [04.09.2020]
 * @param config
 */
exports.makeChainedMiddleware = function (config) {
    return util_1.Selectors.preventEffectsFromAction(config.action) === true
        ? []
        : ([
            action_1.StackActionBuilder.buildLockAction(util_1.TypeUtils.isFn(config.nextSection)
                ? config.nextSection(config.payload, config.state, config.action)
                : config.nextSection),
            action_1.RouterActionBuilder.buildNavigateAction(util_1.TypeUtils.isFn(config.path)
                ? config.path(config.payload, config.state, config.action)
                : config.path)
        ]);
};
//# sourceMappingURL=chained.middleware.js.map