import { IEffectsAction } from 'redux-effects-promise';
import { IFilterFormDialogMiddlewareConfigEntity } from '../../definition';
/**
 * @stable [09.09.2020]
 */
export declare class FilterFormDialogMiddlewareFactories {
    static readonly filterFormDialogAcceptMiddleware: <TState = {}>(cfg: IFilterFormDialogMiddlewareConfigEntity<TState>) => IEffectsAction;
    static readonly filterFormDialogClearMiddleware: <TState = {}>(cfg: IFilterFormDialogMiddlewareConfigEntity<TState>) => IEffectsAction[];
    static readonly filterFormDialogResetMiddleware: <TState = {}>(cfg: IFilterFormDialogMiddlewareConfigEntity<TState>) => IEffectsAction;
}
