import { IEntity, StringNumberT } from '../definitions.interface';
import { SelectValueT } from '../definition';
/**
 * @stable [02.11.2020]
 */
export declare class SelectOptionUtils {
    static readonly fromSelectValueToDisplayValue: (option: SelectValueT) => StringNumberT;
    static readonly fromSelectValueToId: (option: SelectValueT) => StringNumberT;
    static readonly fromSelectValueToRawValue: <TEntity = IEntity>(option: SelectValueT) => TEntity;
}
