import { IEntity, StringNumberT } from '../definitions.interface';
/**
 * @stable [14.10.2020]
 */
export declare class SortUtils {
    static readonly ID_ASC_SORTER: <TEntity extends IEntity>(item1: TEntity, item2: TEntity) => number;
    static readonly ID_DESC_SORTER: <TEntity extends IEntity>(item1: TEntity, item2: TEntity) => number;
    static readonly NAME_ASC_SORTER: <TEntity extends IEntity>(value1: StringNumberT, value2: StringNumberT) => number;
    static readonly NUMBER_COMPARATOR: (a: any, b: any) => number;
    static readonly VALUE_ASC_SORTER: <TEntity extends IEntity>(value1: StringNumberT, value2: StringNumberT) => number;
    static readonly VALUE_DESC_SORTER: <TEntity extends IEntity>(value1: StringNumberT, value2: StringNumberT) => number;
}
