"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ToolbarToolsActionBuilder = void 0;
var util_1 = require("../util");
var definition_1 = require("../definition");
/**
 * @action-builder
 * @stable [08.09.2020]
 */
var ToolbarToolsActionBuilder = /** @class */ (function () {
    function ToolbarToolsActionBuilder() {
    }
    /**
     * @stable [08.09.2020]
     * @param section
     */
    ToolbarToolsActionBuilder.buildDownloadFileActionType = function (section) {
        return util_1.SectionUtils.actionPrefix(section) + "." + definition_1.TOOLBAR_TOOLS_DOWNLOAD_FILE_ACTION_TYPE;
    };
    /**
     * @stable [08.09.2020]
     * @param section
     */
    ToolbarToolsActionBuilder.buildRefreshActionType = function (section) {
        return util_1.SectionUtils.actionPrefix(section) + "." + definition_1.TOOLBAR_TOOLS_REFRESH_ACTION_TYPE;
    };
    /**
     * @stable [08.09.2020]
     * @param section
     */
    ToolbarToolsActionBuilder.buildFilterActionType = function (section) {
        return util_1.SectionUtils.actionPrefix(section) + "." + definition_1.TOOLBAR_TOOLS_FILTER_ACTION_TYPE;
    };
    /**
     * @stable [08.09.2020]
     * @param section
     */
    ToolbarToolsActionBuilder.buildRefreshPlainAction = function (section) {
        return { type: this.buildRefreshActionType(section) };
    };
    /**
     * @stable [08.09.2020]
     * @param section
     */
    ToolbarToolsActionBuilder.buildFilterPlainAction = function (section) {
        return { type: this.buildFilterActionType(section) };
    };
    /**
     * @stable [08.09.2020]
     * @param section
     */
    ToolbarToolsActionBuilder.buildDownloadFilePlainAction = function (section) {
        return { type: this.buildDownloadFileActionType(section) };
    };
    return ToolbarToolsActionBuilder;
}());
exports.ToolbarToolsActionBuilder = ToolbarToolsActionBuilder;
//# sourceMappingURL=toolbar-tools-action.builder.js.map