/**
 * @stable [08.11.2020]
 */
export declare class CommandResult<TData = {}> {
    static readonly $PROTOCOL_PAYLOAD_CLASS_IDENTIFIER = "CommandResult";
    private readonly command;
    private readonly data;
    private readonly uuid;
    /**
     * @stable [08.11.2020]
     * @param command
     * @param uuid
     * @param data
     */
    constructor(command?: string, uuid?: string, data?: TData);
    /**
     * @stable [08.11.2020]
     */
    getCommand(): string;
    /**
     * @stable [08.11.2020]
     */
    getUuid(): string;
    /**
     * @stable [08.11.2020]
     */
    getData(): TData;
}
