"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommandResult = void 0;
/**
 * @stable [08.11.2020]
 */
var CommandResult = /** @class */ (function () {
    /**
     * @stable [08.11.2020]
     * @param command
     * @param uuid
     * @param data
     */
    function CommandResult(command, uuid, data) {
        this.command = command;
        this.uuid = uuid;
        this.data = data;
    }
    /**
     * @stable [08.11.2020]
     */
    CommandResult.prototype.getCommand = function () {
        return this.command;
    };
    /**
     * @stable [08.11.2020]
     */
    CommandResult.prototype.getUuid = function () {
        return this.uuid;
    };
    /**
     * @stable [08.11.2020]
     */
    CommandResult.prototype.getData = function () {
        return this.data;
    };
    CommandResult.$PROTOCOL_PAYLOAD_CLASS_IDENTIFIER = 'CommandResult';
    return CommandResult;
}());
exports.CommandResult = CommandResult;
//# sourceMappingURL=command.result.js.map