"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SliderField = void 0;
var React = require("react");
var field_component_1 = require("../field/field.component");
var definition_1 = require("../../../definition");
var util_1 = require("../../../util");
var slider_1 = require("../../slider");
/**
 * @component-impl
 * @stable [16.10.2020]
 */
var SliderField = /** @class */ (function (_super) {
    __extends(SliderField, _super);
    function SliderField() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(SliderField.prototype, "attachmentBodyElement", {
        /**
         * @stable [16.10.2020]
         * @protected
         */
        get: function () {
            var _a = this.mergedProps, fieldConfiguration = _a.fieldConfiguration, max = _a.max, min = _a.min, step = _a.step;
            return (React.createElement(slider_1.Slider, { fieldConfiguration: fieldConfiguration, max: max, min: min, step: step, value: this.value, onChange: this.onChangeManually }));
        },
        enumerable: false,
        configurable: true
    });
    /**
     * @stable [16.10.2020]
     * @protected
     */
    SliderField.prototype.getInputElementProps = function () {
        return __assign(__assign({}, _super.prototype.getInputElementProps.call(this)), { type: 'hidden' });
    };
    /**
     * @stable [16.10.2020]
     * @protected
     */
    SliderField.prototype.getComponentsSettingsProps = function () {
        return util_1.PropsUtils.mergeWithSystemProps(_super.prototype.getComponentsSettingsProps.call(this), this.componentsSettings.sliderField);
    };
    /**
     * @stale [16.10.2020]
     * @protected
     */
    SliderField.prototype.getFieldClassName = function () {
        return util_1.ClsUtils.joinClassName(_super.prototype.getFieldClassName.call(this), definition_1.SliderFieldClassesEnum.SLIDER_FIELD);
    };
    SliderField.defaultProps = util_1.PropsUtils.mergeWithParentDefaultProps(__assign({}, definition_1.DefaultEntities.SLIDER_ENTITY), field_component_1.Field);
    return SliderField;
}(field_component_1.Field));
exports.SliderField = SliderField;
//# sourceMappingURL=slider-field.component.js.map