"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotificationStoreProxy = void 0;
var store_proxy_1 = require("../store.proxy");
var action_1 = require("../../../../action");
var NotificationStoreProxy = /** @class */ (function (_super) {
    __extends(NotificationStoreProxy, _super);
    /**
     * @stable [30.03.2020]
     * @param {IGenericContainer<TProps extends IGenericContainerProps>} container
     */
    function NotificationStoreProxy(container) {
        var _this = _super.call(this, container) || this;
        _this.container = container;
        _this.dispatchNotification = _this.dispatchNotification.bind(_this);
        return _this;
    }
    /**
     * @stable [30.03.2020]
     * @param {string} info
     */
    NotificationStoreProxy.prototype.dispatchNotification = function (info) {
        this.dispatchPlainAction(action_1.NotificationActionBuilder.buildPlainInfoAction(info));
    };
    return NotificationStoreProxy;
}(store_proxy_1.StoreProxy));
exports.NotificationStoreProxy = NotificationStoreProxy;
//# sourceMappingURL=notification-store.proxy.js.map