"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DEFAULT_DICTIONARY_PAGED_ENTITY = exports.DictionariesEnum = exports.DICTIONARY_SET_ACTION_TYPE = exports.DICTIONARY_LOAD_ACTION_TYPE = exports.DICTIONARY_DESTROY_ACTION_TYPE = exports.INITIAL_REDUX_DICTIONARIES_ENTITY = void 0;
var page_definition_interface_1 = require("./page-definition.interface");
/**
 * @initial-redux-entity
 * @stable [08.05.2020]
 */
exports.INITIAL_REDUX_DICTIONARIES_ENTITY = Object.freeze({});
/**
 * @stable [08.05.2020]
 */
exports.DICTIONARY_DESTROY_ACTION_TYPE = "dictionary.destroy";
exports.DICTIONARY_LOAD_ACTION_TYPE = "dictionary.load";
exports.DICTIONARY_SET_ACTION_TYPE = "dictionary.set";
/**
 * @stable [08.05.2020]
 */
var DictionariesEnum;
(function (DictionariesEnum) {
    DictionariesEnum["PLACES"] = "places";
})(DictionariesEnum = exports.DictionariesEnum || (exports.DictionariesEnum = {}));
/**
 * @default-entity
 * @stable [08.05.2020]
 */
exports.DEFAULT_DICTIONARY_PAGED_ENTITY = Object.freeze(__assign(__assign({}, page_definition_interface_1.DEFAULT_PAGED_ENTITY), { pageSize: 300 }));
//# sourceMappingURL=dictionary-definition.interface.js.map