import { IDateWrapper, IIdWrapper, IKeyValue, INameWrapper, ITimeWrapper } from './definitions.interface';
/**
 * @stable [16.06.2018]
 */
export interface IDateTimeEntity extends IDateWrapper, ITimeWrapper {
}
/**
 * @stable [03.07.2018]
 */
export interface INamedNumericEntity extends IIdWrapper, INameWrapper {
}
/**
 * @stable [15.08.2018]
 */
export interface INativeMaterialAdapter extends IKeyValue {
}
/**
 * @stable [05.05.2018]
 */
export interface INativeMaterialFoundation extends IKeyValue {
    adapter_: INativeMaterialAdapter;
}
/**
 * @stable [17.11.2018]
 */
export interface INativeMaterialComponent {
    foundation_: INativeMaterialFoundation;
    destroy(): any;
    unlisten(event: string, callback: () => void): any;
    listen(event: string, callback: () => void): any;
}
