"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TransportTokenAccessor = void 0;
var inversify_1 = require("inversify");
var di_1 = require("../../di");
var util_1 = require("../../util");
var TransportTokenAccessor = /** @class */ (function () {
    function TransportTokenAccessor() {
    }
    Object.defineProperty(TransportTokenAccessor.prototype, "token", {
        /**
         * @stable [16.09.2019]
         * @returns {string}
         */
        get: function () {
            return util_1.selectTransportWrapperToken(this.store.getState());
        },
        enumerable: false,
        configurable: true
    });
    __decorate([
        di_1.lazyInject(di_1.DI_TYPES.Store),
        __metadata("design:type", Object)
    ], TransportTokenAccessor.prototype, "store", void 0);
    TransportTokenAccessor = __decorate([
        inversify_1.injectable()
    ], TransportTokenAccessor);
    return TransportTokenAccessor;
}());
exports.TransportTokenAccessor = TransportTokenAccessor;
//# sourceMappingURL=transport-token-accessor.service.js.map