import { IReduxPaginatedEntity } from '../definition';
/**
 * @stable [03.11.2020]
 */
export declare class PageUtils {
    static readonly isPageable: (entity: IReduxPaginatedEntity) => boolean;
    static readonly isPageCursorInEndPosition: (entity: IReduxPaginatedEntity) => boolean;
    static readonly isPageCursorInStartPosition: (entity: IReduxPaginatedEntity) => boolean;
    static readonly pageCursorFrom: (entity: IReduxPaginatedEntity) => number;
    static readonly pageCursorTo: (entity: IReduxPaginatedEntity) => number;
    static readonly pagesCount: (entity: IReduxPaginatedEntity) => number;
}
